---
apiVersion: v1
kind: Service
metadata:
  name: feelz-minio
  namespace: minio
spec:
  selector:
    v1.min.io/tenant: feelz
  ports:
    - port: 443
      name: https-s3
      targetPort: 9000
    - port: 9443
      name: https-console
      targetPort: 9443

---
apiVersion: cert-manager.io/v1
kind: Certificate
metadata:
  name: minio-tls
  namespace: minio
spec:
  dnsNames:
    - s3.mikesweb.site
    - minio.mikesweb.site
  issuerRef:
    group: cert-manager.io
    kind: ClusterIssuer
    name: cloudflare
  secretName: minio-tls


---
apiVersion: traefik.containo.us/v1alpha1
kind: IngressRouteTCP
metadata:
  name: minio
  namespace: minio
spec:
  entryPoints:
    - websecure
  routes:
    - match: HostSNI(`s3.mikesweb.site`)
      services:
        - name: feelz-minio
          port: 443
    - match: HostSNI(`minio.mikesweb.site`)
      services:
        - name: feelz-console
          port: 9443
  tls:
    secretName: minio-tls
    passthrough: true

---
apiVersion: minio.min.io/v2
kind: Tenant
metadata:
  name: feelz
  namespace: minio
spec:
  configuration:
    name: feelz-env-configuration
  credsSecret:
    name: feelz-secret
  exposeServices: {}
  externalCertSecret:
    - name: minio-tls
      type: kubernetes.io/tls
  features:
    domains:
      console: https://minio.mikesweb.site
      minio:
        - https://s3.mikesweb.site
  image: minio/minio:RELEASE.2022-09-25T15-44-53Z
  imagePullSecret: {}
  mountPath: /export
  pools:
    - affinity:
        podAntiAffinity:
          requiredDuringSchedulingIgnoredDuringExecution:
            - labelSelector:
                matchExpressions:
                  - key: v1.min.io/tenant
                    operator: In
                    values:
                      - feelz
                  - key: v1.min.io/pool
                    operator: In
                    values:
                      - pool-0
              topologyKey: kubernetes.io/hostname
      name: pool-0
      resources:
        requests:
          cpu: 100m
          memory: 1Gi
      servers: 2
      volumeClaimTemplate:
        spec:
          accessModes:
            - ReadWriteOnce
          resources:
            requests:
              storage: 10Gi
          storageClassName: zfs
      volumesPerServer: 2
  requestAutoCert: true
  users:
    - name: feelz-user-0

